> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve bucket metrics

> Retrieves usage metrics for a specific object storage bucket, including storage consumption and estimated cost for the current billing period.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /storage/buckets/{bucket_id}/metrics
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Prefixes
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /storage/buckets/{bucket_id}/metrics:
    get:
      tags:
        - Object Storage
      summary: Retrieve bucket metrics
      description: >-
        Retrieves usage metrics for a specific object storage bucket, including
        storage consumption and estimated cost for the current billing period.
      operationId: get-storage-bucket-metrics
      parameters:
        - name: bucket_id
          in: path
          required: true
          description: The object storage bucket ID
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: bkt_6VE1Wd37dXnZJ
                      type: object_storage_metrics
                      attributes:
                        period:
                          start: '2026-05-01T00:00:00Z'
                          end: '2026-06-01T00:00:00Z'
                        storage:
                          consumed: 4096
                          unit: GB
                        estimated_cost:
                          amount: 250
                          currency: BRL
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The bucket ID
                      type:
                        type: string
                        enum:
                          - object_storage_metrics
                      attributes:
                        type: object
                        properties:
                          period:
                            type: object
                            description: The current billing period
                            properties:
                              start:
                                type: string
                                format: date-time
                                nullable: true
                                description: Start of the billing period in ISO 8601 format
                              end:
                                type: string
                                format: date-time
                                nullable: true
                                description: End of the billing period in ISO 8601 format
                          storage:
                            type: object
                            description: Storage consumption metrics
                            properties:
                              consumed:
                                type: integer
                                description: Amount of storage consumed
                              unit:
                                type: string
                                enum:
                                  - GB
                                description: Unit of measurement for storage
                          estimated_cost:
                            type: object
                            description: Estimated cost for the current billing period
                            properties:
                              amount:
                                type: number
                                description: Estimated cost amount
                              currency:
                                type: string
                                description: Currency code (e.g., USD, BRL)
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: STORAGE_NOT_ENABLED
                        title: Object Storage not enabled
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
          content:
            application/vnd.api+json:
              examples:
                NotFound:
                  value:
                    errors:
                      - code: NOT_FOUND
                        message: Object storage not found
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.objectStorage.getStorageBucketMetrics({
                bucketId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ObjectStorage.GetStorageBucketMetrics(ctx, \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````